<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Employee</title>

    <style>
            input, button, select {
                width: 300px;
                height: 30px;
            }

            .checkbox {
                width: 20px;
                height: 20px;
            }





    </style>
</head>

<body>

<div th:replace="fragments/header :: header"></div>

<h1>ADMIN PAGE</h1>

<p>
    <a th:href="@{/employees}">Employees</a>
</p>

<p>
    <a th:href="@{/flights}">Flights</a>
</p>

<p>
    <a th:href="@{/requests}">Request</a>
</p>


<div sec:authorize="hasRole('ADMINISTRATOR')">

    <div align="center">

        <h2>Edit an employee</h2>

        <form method="post" th:action="@{/editEmployee/{id}(id=${employee.employeeId})}"
              th:object="${employee}">
            <p>
                <input disabled="true" id="employeeId" th:field="*{employeeId}" type="text"
                       value="${employee.employeeId}" width="30">
            </p>
            <p>
                <input id="firstName" placeholder="First name" required th:field="*{firstName}" type="text"
                       value="${employee.firstName}" width="30"/>
            </p>
            <p>
                <input id="lastName" placeholder="Last name" required th:field="*{lastName}" type="text"
                       value="${employee.lastName}" width="30"/>
            </p>
            <p>
                <select required th:field="*{employeeRole}" width="50">
                    <option th:text="${employee.employeeRole.displayValue}"
                            th:value="${employee.employeeRole}"></option>
                    <option th:each="employeeRoleOpt : ${T(com.epam.rd.november2019.model.EmployeeRole).values()}"
                            th:text="${employeeRoleOpt.displayValue}" th:value="${employeeRoleOpt}"></option>
                </select>
            </p>
            <p>
                <select required th:field="*{sex}" width="50">
                    <option th:text="${employee.sex.displayValue}"
                            value="${employee.sex}"></option>
                    <option th:each="sexOpt : ${T(com.epam.rd.november2019.model.Sex).values()}"
                            th:text="${sexOpt.displayValue}" th:value="${sexOpt}"></option>
                </select>
            </p>
            <p>
                <input id="city" placeholder="City" required th:field="*{city}" type="text"
                       value="${employee.city}"
                       width="30"/>
            </p>
            <p>
                <input type="submit" value="Edit"/>
            </p>
        </form>
    </div>

    <h3 style="color:red">
        <span th:text="${message}"></span>
    </h3>

</div>

<div th:replace="fragments/footer :: footer"></div>

</body>
</html>